
#include <iostream>

//predefine class BankAccount
class BankAccount;

class Balance {

private:
  BankAccount* bank;

public:

  Balance() : bank(0) {
	std::cout << "Balance Created" << std::endl;
  }

  Balance(const Balance& bl) : bank(bl.bank) {}

  ~Balance() {
	std::cout << "Balance Destroyed" << std::endl;
  }

  BankAccount* getBankAccount() { return bank; }

  void setBankAccount(BankAccount* ba) { bank = ba; }
};
