#include "balance.hpp"
#include "transaction_history.hpp"
#include "bank_account.hpp"

int main(int argc, char** argv) {

  BankAccount* ba = new BankAccount();
  Balance* balance = new Balance();
  ba->setBalance(balance);
  balance->setBankAccount(ba);

  TransactionHistory* th = new TransactionHistory();
  ba->setTransactionHistory(th);
  th->setBankAccount(ba);

  //delete the BankAccount object
  delete ba;
  //the Balance and TransactionHistory objects are deleted
  //by the BankAccount destructor
  return 0; //success
}
