
#include <iostream>

//predefine the classes Balance, TransactionHistory
class Balance;
class TransactionHistory;

class BankAccount {
private:
  Balance* balance;
  TransactionHistory* history;
public:

  BankAccount() : balance(0), history(0) {
	std::cout << "BankAccount Created" << std::endl;
  }

  BankAccount(const BankAccount& ba)
	: balance(ba.balance), history(ba.history) {}

  ~BankAccount() {
	delete balance;
	delete history;
	std::cout << "BankAccount Destroyed" << std::endl;
  }

  Balance* getBalance() { return balance; }

  void setBalance(Balance* bl) { balance = bl; }

  TransactionHistory* getTransactionHistory() { return history; }

  void setTransactionHistory(TransactionHistory* th) { history = th; }
};

